Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.delicious
Class DailyPostingPlugin

    java.lang.Object
      org.blojsom.plugin.velocity.StandaloneVelocityPlugin
          org.blojsom.plugin.delicious.DailyPostingPlugin

All Implemented Interfaces:
  Plugin

public class DailyPostingPlugin
extends StandaloneVelocityPlugin

Plugin to post links from your del.icio.us account to your blog.

Since:
  blojsom 3.0
Version:
  $Id: DailyPostingPlugin.java,v 1.1 2006/03/24 22:50:48 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.velocity.StandaloneVelocityPlugin
`_velocityProperties`

Constructor Summary
`DailyPostingPlugin()` Create a new instance of the daily posting plugin

Method Summary
`void` | `cleanup()` Perform any cleanup for the plugin.
`void` | `destroy()` Called when BlojsomServlet is taken out of service
`void` | `init()` Initialize this plugin.
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries
`void` | `setEventBroadcaster(EventBroadcaster eventBroadcaster)` Set the `EventBroadcaster`
`void` | `setFetcher(Fetcher fetcher)` Set the `Fetcher`
`void` | `setServletConfig(javax.servlet.ServletConfig servletConfig)` Set the `ServletConfig` for the fetcher to grab initialization parameters

Methods inherited from class org.blojsom.plugin.velocity.StandaloneVelocityPlugin
`mergeTemplate, setVelocityProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DailyPostingPlugin

    public DailyPostingPlugin()

  Create a new instance of the daily posting plugin

Method Detail

### setFetcher

    public void setFetcher(Fetcher fetcher)

  Set the `Fetcher`

  Parameters:
    `fetcher` - `Fetcher`

### setServletConfig

    public void setServletConfig(javax.servlet.ServletConfig servletConfig)

  Set the `ServletConfig` for the fetcher to grab initialization parameters

  Overrides:
    `setServletConfig` in class `StandaloneVelocityPlugin`
  Parameters:
    `servletConfig` - `ServletConfig`

### setEventBroadcaster

    public void setEventBroadcaster(EventBroadcaster eventBroadcaster)

  Set the `EventBroadcaster`

  Parameters:
    `eventBroadcaster` - `EventBroadcaster`

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Overrides:
    `init` in class `StandaloneVelocityPlugin`
  Throws:
    `PluginException` - If there is an error initializing the plugin

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

### cleanup

    public void cleanup()
                 throws PluginException

  Perform any cleanup for the plugin. Called after `process(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.blojsom.blog.Blog, java.util.Map, org.blojsom.blog.Entry[])`.

  Throws:
    `PluginException` - If there is an error performing cleanup for this plugin

### destroy

    public void destroy()
                 throws PluginException

  Called when BlojsomServlet is taken out of service

  Throws:
    `PluginException` - If there is an error in finalizing this plugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD